<?php

namespace EventPortal\Domain\Users\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class AccountCreated extends Mailable
{
    use Queueable, SerializesModels;

    public $url;

    public function __construct(string $url)
    {
        $this->url = $url;
    }

    public function build(): self
    {
        $appName = config('app.name');

        return $this
            ->subject("Account Created {$appName}")
            ->with([
                'url' => $this->url,
            ])
            ->view('EventPortal::emails.auth.account-created');
    }
}
